OCT
12
2000

KDE Desktop 2.0 Final Release Candidate Available

RC2, the (hopefully) final release candidate before the scheduled release of KDE 2.0 on October 23, is out, with binary packages available for Mandrake, RedHat (6.2 and 7.0) and SuSE (6.4 and 7.0). The full announcement is below. As the code will be frozen on October 16 for the KDE 2.0 release, here is your last chance to find show-stoppers, or you'll have to live with them for a while <grin>.

KDE Desktop 2.0 Final Release Candidate Available for Linux®

Final Release Candidate of Leading Desktop for Linux®
and Other UNIXes®

October 10, 2000 (The INTERNET). The KDE
Team
today announced the release of KDE 2.0 RC2, the second and
(barring any unforeseen problems) final
release candidate for Kopernicus (KDE 2.0), KDE's next-generation, powerful,
modular desktop. The KDE team has previously released five Beta versions --
the first on May 10 of this year -- publicly; the sole prior release
candidate was released internally only.
RC2 is based on Trolltech'stmQt® 2.2.1 and includes the core libraries,
the core desktop environment, the KOffice suite, as well
as the over 100 applications from the other standard base KDE packages:
Administration, Games, Graphics, Multimedia, Network, Personal
Information Management (PIM), Toys and Utilities.
This release marks the last opportunity for developers and users to
report problems prior to the official release of Kopernicus (KDE 2.0)
slated for this October 23.

Downloading and Compiling KDE 2.0 RC2

The source packages for RC2 are available for free download at
ftp://ftp.kde.org/pub/kde/unstable/distribution/2.0RC2/tar/src/ or in the
equivalent directory at one of the many KDE ftp server
mirrors. RC2 requires
qt-2.2.1, which is available from the above locations under the name
qt-x11-2.2.1.tar.gz.
Please be advised that RC2 will not work with any
older versions of Qt. Qt is not part of KDE's release testing.

For further instructions on compiling and installing RC2, please consult
the installation
instructions
and, should you encounter problems, the
compilation FAQ.

Installing Binary Packages of KDE 2.0 RC2

Some distributors choose to provide binaries of KDE for certain versions
of their distributions. Some of these binary packages for RC2 will
be available for free download under
ftp://ftp.kde.org/pub/kde/unstable/distribution/2.0RC2/
or under the equivalent directory at one of the many KDE ftp server
mirrors. Please note that
the KDE team is not responsible for these packages as they
are packaged by third parties, typically, but not always, the distributor
of the relevant distribution.

RC2 requires
qt2.2.1, which is available from the above locations under the name
qt-x11-2.2.1 or some variation thereof adopted by the responsible packager.
Please be advised that RC2 will not work with any
older versions of Qt. Qt is not part of KDE's release testing.

At the time of this release, pre-compiled packages are available for:

Check the ftp servers periodically for pre-compiled packages for other
distributions. More binary packages will become available over the
coming days.

About KDE

KDE is an independent, collaborative project by hundreds of developers
worldwide to create a sophisticated, customizable and stable desktop environmentemploying a component-based, network-transparent architecture.
Currently development is focused on KDE 2, which will for the first time
offer a free, Open Source, fully-featured office suite and which promises to
make the Linux desktop as easy to use as Windows® and
the Macintosh®
while remaining loyal to open standards and empowering developers and users
with Open Source software. KDE is working proof of how the Open Source
software development model can create first-rate technologies on par with
and superior to even the most complex commercial software.

For more information about KDE, please visit KDE's web site.

Comments

Just posted this to slashdot... there publicity for you :D


By Chris Aakre at Thu, 2000/10/12 - 5:00am

Not that they would post it...


By Claus Wilke at Thu, 2000/10/12 - 5:00am

Oh c'mon... they've linked to previous KDE2 betas... they stopped after the 2nd or 3rd one though (understandably.. how many betas will you link to?)...

but really, i don't think getting everyone all excited over RC2 (outside of those of us who are already kde fans) is all that important... i'd be more concerned and excited about PR on the actual KDE2 release.


By stilborne at Thu, 2000/10/12 - 5:00am

They posted it.


By ac at Thu, 2000/10/12 - 5:00am

Posted on Slashdot? Your asking for troubles if you do that.
Very soon we will get flamewars the size of the maximum number you get when using a 64-bit integer!

Why we get flamewars?
Because it's Slashdot.
They always complain about everything, even world peace.


By Anonymous at Thu, 2000/10/12 - 5:00am

In any sufficiently large group, some people will dislike any given thing. The anonymity of a weblog allows people to express themselves perhaps more fervently than they would in other settings. Some people don't like KDE. Some of them read Slashdot.
To be fair, some of the people on Slashdot (myself included), prefer KDE to its "alternatives". Don't concentrate only on those who disagree with you. Slashdot is a gathering place for people with different viewpoints, some of whom have not decided between KDE and its "alternatives". The shrillness of KDE's detractors only serves to make the KDE team more attractive to these neutral readers.
I think every story posted on this site should be cross-posted to Slashdot automatically. This could address some of the issues that inspired yesterday's post here on improving the KDE's PR.


By A Coward on a Mouse at Thu, 2000/10/12 - 5:00am

Trying to get konqueror (1.93) to get to the mandrake packages seems impossible, whereas mozilla reads them nicely... (konqueror just says &quot;can't read /pub////rpms&quot;).
<p>
Will this go away if I succeds getting theese, or should I give up???


By anders at Thu, 2000/10/12 - 5:00am

Is the terrible treatment of the HTML a bug in your cgi app, or in konqueror????????

works without preview???


By anders at Thu, 2000/10/12 - 5:00am

It's a bug in Konqueror.

-N.


By Navindra Umanee at Thu, 2000/10/12 - 5:00am

I was pleased to see the long awaited
xeyes-kicker-plugin, that is really funny,
but I was sad to see that the kasbar applet
was missing in the suse6.4 rpms. I had to take kasbar from beta5.

Does anyone know, if it will be included in
the official release?

Greetings, Matthias
--
... left outer join auth on ...


By Matthias Lange at Thu, 2000/10/12 - 5:00am

The package was moved to kdenonbeta, because it was not deemed ready for release now. YOu can still use it though and I think it will be included in KDE 2.x.
Just compile it yourself if you can't get the binary.


By Moritz Moeller-... at Thu, 2000/10/12 - 5:00am

This worries me. Lets all take a moment here.

"Release candidate"?
I installed it on my laptop with the recently installed RH70 system updated with all erratas, and the amount of errors I encountered in KDE2 are too many to start listing - it started already on installing the RPMs, the kdelib-package created error messages.

I'm not talking about former applications installed on kde1.2 thats no longer working - this is experienced with the supplied kde2-apps.

Konquer cries for "xkill" frequently, a lot of problems with the mimetypes (xmms won't play files unless opened within xmms) and so on.
Is javascript and java supposed to work?

I don't wanna sound sound too pessimistic and certainly not kill any motivation around, but if this is actually a *real candidate* to be released as the official distribution, I'm afraid that it's gonna do a lot of bad stuff to the good KDE reputation. This did not even apprear as a Beta to me - maybe an Alpha-candidate?
Please don't rush this guys - release it when it's ready. I can live with this, but a newbie would be scared away from their Linux-curiosity sooner than you'd say "Millennium".

(Hey - I don't know if this is purely a problem related to the packaging. If so I guess it's easily solved, and I'd be happy to hear that.)


By King Egypt at Thu, 2000/10/12 - 5:00am

Wow, guy, you might wanna check your installation. I'm running a pre-RC2 version of the KDE, and I haven't had to hit konqueror with an xkill in quite a while. Everything on my system is running quite well.

Java and Javascript?? That's been working for quite a while too. Make sure that you download the JDK and configure konqueror to use it.


By Christopher Lee... at Thu, 2000/10/12 - 5:00am

So what you're basically saying is: There's hope? ;-)

Ok, a few quickies to sort things out here:
Did you install the RH70 RPM's? And all of them? No error messages during install?
Did you remove older KDE-versions prior to the kde2 install?
Did all the software included work? Have you got both Javascript and java-applets working in Konquer?

Thanx, man.


By King Egypt at Thu, 2000/10/12 - 5:00am

I have just installed kde2 rc2 on my RH7.0 and it works fine.

There were no error messages during installation.
Before installing the RPM's I removed all old kde RPM's.
I have no problem with the included software so far.
Have not tested Konquerre that must, since there is no support for squid proxy, but for local network browsing it works fine.


By Peter Bay at Thu, 2000/10/12 - 5:00am

I had a quick question regarding KDE (1.1.2) on Red Hat 7.0. This might depend on what XFree86 version that I'm running, in combination with my video card (it's supported though). When I startx, before K is fully loaded, the screen flickers A LOT... first, did you see this in your install? second, does KDE 2 do the same thing? I'm trying to determine what to do, that 'other' gui doesn't do it at all, so it's almost like KDE and XFree4 just don't like each other. While it's not a big deal, I'm just hoping that it doesn't happen with KDE 2. (sorry guys, I realize that this post isn't exactly on topic, I just really need some help and have exhausted all my other resources)...

-r-


By Ryan V... at Thu, 2000/10/12 - 5:00am

I'm running XFree 4.0.1 with a Matrox G400DH and I have not seen any flicker. The same goes for KDE 1.1.2.

Sorry that I can't help you.


By Peter Bay at Thu, 2000/10/12 - 5:00am

I agree with the *release when it's ready* point -
Although I haven't seen *exactly* the same problems - I have seen some significant repeating problems in Beta 3, Beta 5, and now RC2.

I've posted the following problem to submit@bugs.kde.org twice - but I don't see my most recent post (sent yesterday) yet.

Here's the simple scenario...

start kde... fine - minus the brief 'flash' to darkness when it starts restoring session information.

ok... now click *anywhere* and *drag*... and huge chunks - sort of triangular/geometric patches are blacked out... and do not repaint.

Amazingly... I didn't have this problem with beta 4, but I keep seeing it in the three releases mentioned above.

I see the identical problem with two different distributions so far -

SuSE 6.4 - no previous KDE or QT installed - very bare install on the machine otherwise.

Slackware 7.1 - similar install situation - no previous KDE or QT.

For the curious... I posted the screenshots at

http://www.thegrid.net/jbyrne/screenshots/ if my description leads something to the imagination.

---

Just to be fair - my first experience with KDE was a 1.0 pre-alpha a while back when I was running RedHat 5.1.

I've always greeted each KDE alpha/beta release with enthusiasm... but news of a final release is a bit frightening - considering my recent installs of RC2.

To pick something else more concrete - in case others have a difficult time reproducing the problem...

The development of Konqueror is *very* exciting... but it *is* in its current state - unusable for anything significant.

It's current treatment of Java/Javascript, SSL, and performance with more 'dynamic' sites is just not usable. I really *want* it to work... but the reality is - you have to grab Netscape.

I'd be happy to wait until the end of the year... or however long it takes to stabilize KDE 2 - but an immediate release probably won't boost confidence or help what is otherwise a very positive development record.

- Jason


By Jason Byrne at Tue, 2000/10/17 - 5:00am

I'm not currently running Linux (upgraded my comp and waiting for SuSE 7.0), and I haven't tested the latest betas of KDE2... But to me it seems that the reason for those bugs in your desktop might be related to your video-card. Have you tried upgrading it's drivers?


By Janne at Tue, 2000/10/17 - 5:00am

well... point taken - but KDE2 isn't the *only* desktop I've run on these computers.

fvwm1, fvwm2, windowmaker, enlightenment, kde 1.1.2... all do fine - no bizarre repaint problems.

I was ready to attribute the problem to SuSE until I saw the same thing on Slackware. I would compile everything on FreeBSD, but I don't have that much free time to burn... considering the running track record (repeat problems in three betas, etc...)

btw... I have also tried alternate video cards.

I'm not sure either card has a great Linux reputation =) ... but they are either SiS 620 or Voodoo Banshee.


By Jason Byrne at Wed, 2000/10/18 - 5:00am

KDE2 RC2 installed quite easilly and is quite stable if I don't use kcontrol (which crashes immediately - not just for me but lots of others according to the bug reports). I even use it as my standard desktop instead of xemacs.

But KOFFICE is another thing. Almost everything in KOFFICE crashes within a few minutes - kspread even on simply entering an integer value in a field.

So that KDE2 does not get an unjustified bad name, I suggest removing KOFFICE from the KDE2 distribution.

Malcolm


By Malcolm Agnew at Tue, 2000/10/17 - 5:00am

Starting with an up to date SuSE 7.0 running KDE1.94, I installed RC2 using the following steps
1. Found and read the README for RC2 for SuSE
2. Downloaded all RPMs from 7.0 and some from localized
3. Logged in to KDE2 as root and ran "init 2" to make sure I was not using KDE at all
4. Ran "yast", went to "Install Packages"
5. Installed all RPMs under 7.0 then all RPMs underlocalized
6. yast automatically ran SuSEConfig
7. No problems with yast or SuSEConfig
8. Ran "init 3"
9. Old kdm came up as expected, allowing me to log in to kde or kde2
10. Checking with KPackViewer, I see that KDE is still in /opt/kde and KDE 2.0 has installed in to /opt/kde2
11. Ran kppp, konqueror, old kssh, ksysguard, kcontrol, KMix, etc.
12. No show stoppers so far.
Thanks and congratulations. Hope this is the last test version before release.


By Paul Leopardi at Thu, 2000/10/12 - 5:00am

Sorry but I did exactly the same thing and my KDE2 crashes.
I installed all the files (including QT) via YAST, ran "init 3" and tried to log on to my system.
But I just get a grey screen for a short time and then my Logon-Panel comes back. I also tried this as root - the same.
I think there must be something wrong with the QT because as I upgraded my system YAST2 also crashes. When I downgrade my system to KDE1.94 with the older QT everything works just fine.
Any hints for me?


By Carsten at Sat, 2000/10/14 - 5:00am

Additional notes to my comment above.
I finally got it working after these steps:
1.) removed KDE2 totally
2.) Downloaded QT-2.2.1 and compiled it myself in /usr/lib/qt-2.2.1
3.) Changed the symlink /usr/lib/qt2 to the new directory
4.) Installed the KDE2 binaries

=> KDE1, KDE2 and YAST2 are working

YAST2 still finds it´s "old" QT-2.1.1 libraries in /usr/lib/libqt.so.2
The QT-package from the release replaces this with the new one, which seems to be bad.


By Carsten at Sat, 2000/10/14 - 5:00am

Sorry, I don't have much of an idea what is happening. My guess is that the SuSE 7.0 RPMs for RC2 make assumptions about the starting point and that you and I started from a different point.
My entire upgrade path was:
1. KDE 1.1.2 on SuSE 6.3 then SuSE 6.4
2. Some updates to SuSE 6.4
3. KDE 1.93 on SuSE 6.4 from RPMs using rpm
4. Updates to SuSE 6.4 including ALSA 0.5.8
5. KDE 1.94 on SuSE 6.4 from RPMs using rpm
6. SuSE 7.0
7. Updates to SuSE 7.0 including ALSA 0.5.9c
8. KDE 1.94 on SuSE 7.0 from RPMs using yast
9. RC2 on SuSE 7.0 from RPMs using yast
At any point along this upgrade path, your configuation could have diverged from mine. I have never compiled QT or KDE myself, but I don't know if rpm or yast did any compilations. I assume they just installed binaries.
In any case, please put in a KDE bug report and contact the SuSE packager. I think the address is for SuSE is feedback@suse.de
Current SuSE users who want to use KDE 2.0 should not have to do what you did.


By Paul Leopardi at Sun, 2000/10/15 - 5:00am

Forgot to add that in my step 3, after I initially installed KDE1.93, I did the following:
Using the old KDE, logged in as root, I went in to KDM Configuration and added kde2 as a session type for kdm.
Once I did this, when kdm came up, it allowed me to choose kde2 or kde. This just worked. You will need to ask the SuSE packager how it worked, because I don't understand it. I don't even know if this is what the SuSE packager intended.


By Paul Leopardi at Sun, 2000/10/15 - 5:00am

I have had the same problems with the qt rpms
for Suse 7.0. After recompilaton of qt kde2rc2 (rpms) starts. I have another problem with tif and jpg images: With rc2 it is not possible to display them using the image viewer or with konqueror. Is this a problem of qt?

Kai


By Kai Wiechen at Wed, 2000/10/18 - 5:00am

If I get you right you recompiled the qt yourself?
Then you need to activate the gif- and jpeg-support in the configure-script. Just type configure -help.
You need to install the libraries for gif and jpeg at first of course but that should not be a problem with SuSE. Just check it to be sure.
I can display them without problems.


By Carsten at Wed, 2000/10/18 - 5:00am

I´m pleased how all things develop from release to release.
Actually JavaScript is getting better and better (even if there´s a lot left to be done).

It´s getting faster!!
KOffice_parts now start as quickly as an editor

Icons are getting better.

One `showstopper`: kdm crashes again during openGL-init (and I really want to know, why kdm calls glInit at all!), this did not happen in the finalBeta. But this is maybe due to an installation fault I made (although anything else just runs as smoothly as never before)

kaiman does not crash anymore.

html-rendering is faster and much prettyer.

I´m impressed and I wonder what you guys will have ready on oktober 16th.

Tom


By Thomas Regner at Thu, 2000/10/12 - 5:00am

Hi
I know it is a little *too* late to send this post. I downloaded the kde2RC2 sources and compiled them (this is my first experience at compiling KDE, just followed the instructions, spent a lot of time searching for Xfree86-devel package(I lost the cd)). I found the following problems after the compile.
1) KDM2 has a great interface. the thing I liked is the console option. The problem is that whenever I use the new kdm, the sound driver (emu10k1.o sound blaster live value on RH6.2) does not initialize (error: no mixers found) on Kde or Gnome or any other wm. It works well with kdm1 and gdm.
2) kaiman works well, though the default skins provided are very unintuitive.
3) downloading a package from the net, konqueror goes partway and suddenly quits.
May be something wrong with compiling. The kdetoys package did not have a configure script.


By rithvik at Mon, 2000/10/16 - 5:00am

Hi
I know it is a little *too* late to send this post. I downloaded the kde2RC2 sources and compiled them (this is my first experience at compiling KDE, just followed the instructions, spent a lot of time searching for Xfree86-devel package(I lost the cd)). I found the following problems after the compile.
1) KDM2 has a great interface. the thing I liked is the console option. The problem is that whenever I use the new kdm, the sound driver (emu10k1.o sound blaster live value on RH6.2) does not initialize (error: no mixers found) on Kde or Gnome or any other wm. It works well with kdm1 and gdm.
2) kaiman works well, though the default skins provided are very unintuitive.
3) downloading a package from the net, konqueror goes partway and suddenly quits.
May be something wrong with compiling. The kdetoys package did not have a configure script.


By rithvik at Mon, 2000/10/16 - 5:00am

Guys, a couple of comments:

1. KMail ROX.
2. Konqueror ROX.
3. KWord ROX.

Thanks, and keep up the good work.


By Renai Lemay at Thu, 2000/10/12 - 5:00am

Check out
knode, kwrite and korganizer as well.


By Moritz Moeller-... at Thu, 2000/10/12 - 5:00am

> Kword ROX.

I have to second that. I am a GNOME user, I have been testing the betas of KDE2 but still prefer helix. That being said, KWord is the best word processor to date for linux. I have been fighting with Word Perfect for the last week trying to write a paper for Hons Calc. I was begining to think I needed to learn latex. Kword has been able to handle everything I need it to do.

Thanks much.

Nate Custer


By GenCuster at Fri, 2000/10/13 - 5:00am

Hi,

have you ever tried lyx? It gives you the power of Latex but is as easy to handle as Word. It's very stable and I write all my papers with it.
The koffice web page says that lyx will be included in koffice. However, klyx looks currently unmaintained and is far behind lyx. Anybody more information on that?

Chris


By Chris Naeger at Sat, 2000/10/14 - 5:00am

Kword doesn't work at all for me. It sucks.
I am very dissapointed with Kword. When you
open a new document and write the first line of
text it doesn't go automatically to the next line.
Second, the letters in document dissapers.
Third, text boxes sucks.


By Zeljko Vukman at Fri, 2000/10/13 - 5:00am

First: I tried this to see if it does the same for me. And the result was, that if I typed something, with no spaces in between, it didn't go to the next line. But if I typed a sentence, that was longer than a line, it did the thing like it was supposed to.
Second: Didn't experience anything like it.
Third: ?

regards,

Gasper


By Gasper Lakota -... at Mon, 2000/10/23 - 5:00am

Just downloaded the packaged version for SuSE-6.4

Had to recompile qt to make it work. qt was complaining about un-resolved symbols.

Any way, I opened koffice Workspace and drew some squares withing killustrator. (I dont know why).

Now I want to close it and the app asks me if I want to save the document. If I say no, it asks me again. The only way to kill it without saving was with xkill.

Anyone else had the same problem?


By Atif at Thu, 2000/10/12 - 5:00am

See my reply to Tyler C. Hayward below. In brief, if you really need to compile anything, in my opinion there is either a problem with the system you started with or with the RPMs themselves.
Please read my checklist below.
If you are confident the problem is with the SuSE RPMs for 6.4, please contact the SuSE packager via feedback@suse.de or in any other way you know how to.


By Paul C. Leopardi at Thu, 2000/10/12 - 5:00am

Hmmm... I installed the SuSE 6.4 binaries on a SuSE 6.3 system yesterday and even that works great...

I hope you did uninstall older KDE2 beta's, because those normally do cause very strange bugs if you don't remove them first.

Cheers, Martijn


By Martijn Klingens at Sat, 2000/10/14 - 5:00am

here is your last chance to find show-stoppers, or you'll have to live with them for a while

Uh, this is a very bad attitude. There should be zero showstoppers in the final release. That's the definition of showstopper - it stops the show.

First impressions of count. If you say it's release quality then it had damn well better be. GNOME had a less than optimal 1.0 release, and they still haven't lived it down. Even yesterday there was an article posted to LinuxToday that essentially said "don't judge Debian by the version we gave you at LWCE just two months ago."

If there's anything that causes a component to crash, halt the release. If you cannot find the cause, then release it with a note. If you can find the cause, then don't release it until it's fixed.

Or call it KDE 1.99 instead.


By David Johnson at Thu, 2000/10/12 - 5:00am

"GNOME had a less than optimal 1.0 release, and they still haven't lived it down."

True, they made a mistake when releasing 1.0
But what proofs they are still making mistakes?
Gnome 1.2 is more stable than rock.
Even Gnome 1.1.8, a beta release, is already more stable than 1.0 and thus already release quality.


By Anonymous at Thu, 2000/10/12 - 5:00am

Of course, showstoppers will stop the show. :) That's the whole point of the RC. But if the RC doesn't get enough testing and a showstopper slips through, then that'll just suck. An update will probably follow.

Cheers,
Navin.


By Navindra Umanee at Thu, 2000/10/12 - 5:00am

I've been keeping upto date with the
latest kde packages in debian/woody. At
the moment kicker panel won't start neither
will the kde window manager. Lots of other
bugs, and I'm not going to submitting them every few minutes when an application krashes.

There are heaps of other bugs, looking
at the stack dumps they look like lack of
exception handling.

I don't think kde2 is ready, you have
made this time scale like a commercial
deadline, instead of the the open source
"when its ready" release methodology, which is more real world.

Buggy code isn't taken
well by the linux/*nix users compared to the users of some other operating systems.Quality comes first,
features come second. Users of the other OS seem to have the opposite expectations.

A premature release of KDE2 will do more harm than good, and the other *nix desktop can only gather momentum because of this.

I wish KDE 2 success; users can carry on with KDE 1. Just like people have to use the 2.2 kernel while 2.4 is being made right.

Keep making RCs till then!


By Dale at Sat, 2000/10/14 - 5:00am

Here is a showstopper for you: I recompiled and installed the latest version of qt, installed all the SuSe 6.4 RPMs. So far so good. Went to log in as a regular user, screen goes grey like KDE2 is loading, then dies and takes me back to login screen. Can login as root ok though, just not as regular user.


By Tyler C. Hayward at Thu, 2000/10/12 - 5:00am

This is about the most stupid bug report I've seen so far. Do you think this information could help anyone to find a bug in KDE?


By Anonymous Coward at Thu, 2000/10/12 - 5:00am

Normally, if you use RPMs, you should not compile parts of the application yourself.
I used the SuSE 7.0 RPMs for KDE and did not need to compile or recompile anything.
1. Did you start with an up to date 6.4? If not, see the updates page for 6.4 on http://www.suse.com and bring your 6.4 up to date.
Make sure you have updated ALSA. That "gotcha" got me when I tried to install the KDE1.94 RPMs first time.
2. Did you start with an earlier KDE1.9X beta installed or is this your first KDE2 installation?
3. Did you use yast to install all the RPMs, as in my message above, or have you written a script to run "rpm -Uvh" on each file in the right order? Previous SuSE RPMs for KDE1.9X for 7.0 had the QT stuff in a different RPM file. This is also likely for 6.4. So order is probably important. But my upgrade of 1.94 on 7.0 to RC2 using yast just worked - see my note above.
4. Finally, and most importantly, have you contacted the SuSE packager, via feedback@suse.de or any other way? If there is a problem with the RPMs it needs to be fixed fast.


By Paul C. Leopardi at Thu, 2000/10/12 - 5:00am

I don't know if it applies here, but I've had the same problem with earlier betas on SuSE 6.4 here. The problem lies in the access permissions of your home directory. For me, it had to be GROUP readable, as far as I can remember.

I don't know if this is still the same, but maybe it will help you.

By the way: if this __IS__ still the case, I'd treat it as showstopper, because making directories group or even world readable should not be obligatory for just running a desktop environment.

Succes, Martijn


By Martijn Klingens at Fri, 2000/10/13 - 5:00am

What's up with cvsup? (No pun intended). I have a sourcetree from sometime around RC1 and I usually update it every day from ferret.lmh.ox.ac.uk. But the last couple of days it hasn't updated any files for me. Any ideas?


By tritone at Thu, 2000/10/12 - 5:00am

There is a known problem with the server where most cvsup servers get their sources from.
A new server is required, but currently no one does provide one.
For now only max.tat.physik.uni-tuebingen.de has up to date sorces and the anoncvs mirrors.


By Michael Häckel at Fri, 2000/10/13 - 5:00am

Pages